<?php

namespace Score\Lib;

use Dever;

class Manage
{
	/**
	 * 显示用户信息
	 *
	 * @return mixed
	 */
	public function showUserInfo($uid, $ldate = false)
	{
		if ($uid) {
			$user = Dever::load('passport/user.info', $uid);
			if ($user) {
				$table = array();
				$table['用户名'] = $user['username'];
				$table['手机号'] = $user['mobile'];
				$table['领取时间'] = date('Y-m-d H:i:s', $ldate);
				return Dever::table($table);
			}
		} else {
			return '';
		}
	}

    /**
	 * 设置主积分
	 *
	 * @return mixed
	 */
	public function config($id, $name, $param)
	{
		$type = Dever::param('type', $param);

		if ($type == 1) {
			Dever::db('score/config')->set(array('type' => 2));
			Dever::db('score/config')->update(array('where_id' => $id, 'type' => 1));
		}
	}
}